package com.emr.dao.emrUserReader;

import com.emr.dao.CommomMapper;
import com.emr.entity.emrUserReader.Emr_User_Reader;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_User_ReaderMapper extends CommomMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_User_Reader record);

    int insertSelective(Emr_User_Reader record);

    Emr_User_Reader selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_User_Reader record);

    int updateByPrimaryKey(Emr_User_Reader record);

    /**
     * 根据用户id删除
     * */
    void deleteReaderByUserId(@Param("userId") Integer userId);
}